DynamicPropertyAccessorBase (Jackson module: Afterburner 2.8.0 API)
Date: 2016-07-04

com.fasterxml.jackson.module.afterburner.util

## Class DynamicPropertyAccessorBase

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase

- Direct Known Subclasses:
    CreatorOptimizer, PropertyAccessorCollector, PropertyMutatorCollector

      public class DynamicPropertyAccessorBase
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_accessorCount`
    `protected static int[]` | `ALL_INT_CONSTS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DynamicPropertyAccessorBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T> T` | `_add(List<T> list, T value)`
    `protected static void` | `generateException(org.objectweb.asm.MethodVisitor mv, String beanClass, int propertyCount)`
    `protected static String` | `internalClassName(String className)`
    `boolean` | `isEmpty()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_INT_CONSTS

          protected static final int[] ALL_INT_CONSTS

    - #### _accessorCount

          protected int _accessorCount

  - ### Constructor Detail

    - #### DynamicPropertyAccessorBase

          protected DynamicPropertyAccessorBase()

  - ### Method Detail

    - #### isEmpty

          public final boolean isEmpty()

    - #### generateException

          protected static void generateException(org.objectweb.asm.MethodVisitor mv,
                               String beanClass,
                               int propertyCount)

    - #### internalClassName

          protected static String internalClassName(String className)

    - #### _add

          protected <T> T _add(List<T> list,
                   T value)

Copyright © 2016 FasterXML. All rights reserved.